local VERSION = 1
if GorLib.CheckButton and GorLib.CheckButton > VERSION then
	return --Version Control... YAY!
else
	GorLib.CheckButton = VERSION

	GorLib.NewCheckButton = function(title, parent)
		local check 
		if not _G[title..parent:GetName()] then
			check = CreateFrame("CheckButton", title..parent:GetName(), parent, "InterfaceOptionsCheckButtonTemplate")
		else
			check = _G[title..parent:GetName()]
		end
		_G[check:GetName() .. 'Text']:SetText(title)
		check:SetScript("OnShow", function(self) _G[check:GetName() .. 'Text']:SetText(title) check.OnShow(self) end)
		check:SetScript("OnClick", function(self) check.OnClick(self) end)
		local prev = parent.PrevCheck
		if prev then
			check :SetPoint("Top", prev, "Bottom",0, 0)
		else
			check :SetPoint("TopLeft", 15, - 30)
		end
		parent.PrevCheck = check

		return check
	end
end