local VERSION = 1
if GorLib.Picker and GorLib.Picker > VERSION then
	return --Version Control... YAY!
else
	GorLib.Picker = VERSION
	GorLib.ColorPicker = function(name, parent)
		local f
		
		local NAME = parent:GetName()..name.."Color-Picker-Toggle-Button"
		if _G[NAME] then
			f = _G[NAME]
		else
			f = CreateFrame("Button", NAME, parent, "UIMenuButtonStretchTemplate")
		end
		f:SetText(name)
		f:SetSize(100, 25)
		local function ShowColorPicker(r, g, b, a, changedCallback)
			ColorPickerFrame.hasOpacity, ColorPickerFrame.opacity = nil, nil;
			ColorPickerFrame.func, ColorPickerFrame.opacityFunc, ColorPickerFrame.cancelFunc = nil, nil, nil;
			ColorPickerFrame:SetColorRGB(r,g,b);
			ColorPickerFrame.hasOpacity, ColorPickerFrame.opacity = (a ~= nil), a;
			ColorPickerFrame.previousValues = {r,g,b,a};
			ColorPickerFrame.func, ColorPickerFrame.opacityFunc, ColorPickerFrame.cancelFunc = changedCallback, changedCallback, changedCallback;
			ColorPickerFrame:Hide(); -- Need to run the OnShow handler.
			ColorPickerFrame:Show();
		end
		local Callback = function(restore)
			local newR, newG, newB, newA;
			if restore then
				newR, newG, newB, newA = unpack(restore);
			else
				newA, newR, newG, newB = OpacitySliderFrame:GetValue(), ColorPickerFrame:GetColorRGB();
			end
			_G[NAME]:SetColor(newR, newG, newB, newA)		
		end
		f:SetScript("OnClick", function()
			local r, g, b, a  = _G[NAME]:Click()
			ShowColorPicker( r, g, b, a, Callback)
		end)
		return f
	end
end

--[[
	local f = GorLib.ColorPicker(name, parent)
	function f:SetColor(r, g, b, a)
		SaveVariable.textColor = {r = r, g = g, b = b, a = a}
		SetTextColor()
	end
	function f:Click()
		local vari = SaveVariable.textColor
		return vari.r, vari.g, vari.b, vari.a
	end
--]]