local VERSION = 1
if GorLib.EditBox and GorLib.EditBox > VERSION then
	return --Version Control... YAY!
else
	GorLib.EditBox = VERSION
	GorLib.Editbox = function(parent)
		local editBox = CreateFrame('EditBox', parent:GetName() .. 'Editbox', parent,  'InputBoxTemplate')
		editBox:SetSize(200, 20)
		editBox:SetAutoFocus(false)
		editBox:SetScript('OnShow', function(self)
			self:SetText('')
		end)
		editBox:SetScript('OnEnterPressed', function(self)
			self.CollectText(self:GetText())
		end)
		editBox:SetScript('OnEditFocusLost', function(self) self:HighlightText(0, 0) end)
		editBox:SetScript('OnEditFocusGained', function(self) self:HighlightText() end)
		return editBox
	end
end