local VERSION = 1
if GorLib.MenuButton and GorLib.MenuButton > VERSION then
	return --Version Control... YAY!
else
	GorLib.MenuButton = VERSION
	GorLib.NewMenuButton = function(name, text, parent)
		local b = _G[parent:GetName()..name]
		if not b then
			b = CreateFrame("Button", parent:GetName()..name, parent, "UIMenuButtonStretchTemplate")	
		end
	
		b:SetText(text)
		b:SetWidth(b:GetTextWidth() + 10)
		b:SetScript("OnClick", function(self) self.Click() end)
		return b 
	end
end