VERSION = 1
if GorLib.KeyBound and GorLib.KeyBound > VERSION then
	return
else
	GorLib.KeyBound = VERSION
	local KB = LibStub('LibKeyBound-1.0')
	GorLib.EnableKeyBound = function(buttons)
		for _, button in pairs(buttons) do
			button:RegisterEvent('UPDATE_BINDINGS')

			function button:GetHotkey()
				local key = GetBindingKey(format('CLICK %s:LeftButton', button:GetName()))
				return key and KB:ToShortKey(key) or ''
			end
	
			button:HookScript("OnEnter", function(self) KB:Set(self) end)
	
			button:HookScript("OnEvent", function()
				local key = _G[button:GetName().."HotKey"]
				key:SetText( button:GetHotkey("ACTIONBUTTON") )
				key:Show()
			end)
	
			button:GetScript("OnEvent")(button)
		end
	end
end
