local VERSION = 1
if GorLib.String and GorLib.String > VERSION then
	return --Version Control... YAY!
else
	GorLib.String = VERSION
	GorLib.NewString = function(parent, child, isChild)
		local font
		if child then
			font = "GameFontNormal"
		else
			font = "GameFontNormalLarge"
		end
		local string = parent:CreateFontString(nil, "OVERLAY", font)
		string:SetWidth(350)
		string:SetJustifyH("Left")
		local f = CreateFrame("Frame", nil, parent); f:SetSize(1, 1); f:SetPoint("Center")
		f:SetScript("OnShow", function() if string.text then string:SetText(string.text) end end)
		if isChild then
			string.isChild = 1
		end
		prev = parent.PrevString
		if prev then
			if ( prev.isChild ) and ( not string.isChild ) then
				string:SetPoint("TopLeft", prev, "BottomLeft", -20, -10)
			else
				if ( string.isChild ) and ( not prev.isChild ) then
					string:SetPoint("TopLeft", prev, "BottomLeft", 20, -10)
				else
					string:SetPoint("TopLeft", prev, "BottomLeft", 0, -10)
				end
			end
		else
			string:SetPoint("TopLeft", 20, -10)
		end
		parent.PrevString = string 
		return string
	end
end